Hi 👋
How can we help you?

Which device do I need to use Kyte?

Kyte works on mobile phones or tablets running Android 5.0 (Lollipop) and higher or iOS 10.0 and higher.

We suggest using devices with more than 2 GB of RAM to maintain the quality of your sales processing.

⚠ Kyte does not work on Android GO or Huawei devices that do not have Google Play. ⚠‍

Is there a version for computers?

Frequently Asked Questions (FAQ)
This is some text inside of a div block.
This is some text inside of a div block.
This is some text inside of a div block.
This is some text inside of a div block.

Community

Find and share solutions, suggestions and feedback with Kyters from all around the globe.

Visit the community

Feedback Hub

Feedback Hub gives you a direct channel to send your feature ideas, general suggestions or comments.

Send us feedback

Message us

If you're having trouble or need assistance, we're here for you.